/*
 * Copyright 2018 by Kappich Systemberatung Aachen
 *
 * This file is part of de.kappich.pat.testumg.
 *
 * de.kappich.pat.testumg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.kappich.pat.testumg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.kappich.pat.testumg.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436
 * mail: <info@kappich.de>
 */

package de.kappich.pat.testumg.util;

import de.bsvrz.dav.daf.main.ClientDavInterface;

import java.io.File;
import java.nio.file.Path;

/**
 *
 *
 * @author Kappich Systemberatung
 */
public interface DafApplicationEnvironment {
	ClientDavInterface connect();

	Path getRootDir();

	Path getWorkingDirectory();

	int getAppPort();

	FakeParamApp getFakeParamApp();

	String getConfigurationAuthority();

	/**
	 *
	 * @param paramAppType
	 */
	void setParamAppType(ParamAppType paramAppType);
}
